package cz.uhk.bp.locationrecorder.Services;

import android.annotation.SuppressLint;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;

import java.util.ArrayList;
import java.util.List;

import cz.uhk.bp.locationrecorder.GeoCoordinates;
import cz.uhk.bp.locationrecorder.WifiPoint;

public class WifiScanner {


    public static List<WifiPoint> scanWifi(WifiManager wifiManager, GeoCoordinates actualGeoCoordinates) {
        if (wifiManager != null) {
            List<WifiPoint> actualWifiPoints = new ArrayList<>();
            // start wifi scan
            wifiManager.startScan();

            @SuppressLint("MissingPermission") List<ScanResult> results = wifiManager.getScanResults();

            for (ScanResult result : results) {
                actualWifiPoints.add(new WifiPoint(result.SSID, result.BSSID, result.level, actualGeoCoordinates));
            }
            return actualWifiPoints;

        } else {
            return null;
        }
    }


    public static List<WifiPoint> scanWifi(WifiManager wifiManager) {
        if (wifiManager != null) {
            List<WifiPoint> actualWifiPoints = new ArrayList<>();
            // start wifi scan
            wifiManager.startScan();

            @SuppressLint("MissingPermission") List<ScanResult> results = wifiManager.getScanResults();

            for (ScanResult result : results) {
                actualWifiPoints.add(new WifiPoint(result.SSID, result.BSSID, result.level));
            }
            return actualWifiPoints;

        } else {
            return null;
        }
    }


}



