package cz.uhk.bp.locationrecorder;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import cz.uhk.bp.locationrecorder.Activities.LocationRecorder;
import cz.uhk.bp.locationrecorder.Activities.WifiCollector;

public class MainActivity extends AppCompatActivity {

    private Button buttonLocationRecording;
    private Button buttonWifiCollectiong;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        buttonLocationRecording = findViewById(R.id.button_locationRecording);
        buttonWifiCollectiong = findViewById(R.id.button_wifiColleting);


        //  listeners for the buttons
        buttonLocationRecording.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Start WiFi collecting activity
                startActivity(new Intent(MainActivity.this, LocationRecorder.class));
            }
        });

        buttonWifiCollectiong.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Start Position recording activity
                startActivity(new Intent(MainActivity.this, WifiCollector.class));
            }
        });
    }
}