package cz.uhk.bp.locationrecorder;

public class WifiPoint {
    private String name;
    private String macAddress;
    private Integer signalStrength;
    private GeoCoordinates geoCoordinates;

    public WifiPoint(String name, String macAddress, Integer signalStrength, GeoCoordinates geoCoordinates) {
        this.name = name;
        this.macAddress = macAddress;
        this.signalStrength = signalStrength;
        this.geoCoordinates = geoCoordinates;
    }

    public WifiPoint(String name, String macAddress, Integer signalStrength) {
        this.name = name;
        this.macAddress = macAddress;
        this.signalStrength = signalStrength;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public Integer getSignalStrength() {
        return signalStrength;
    }

    public void setSignalStrength(Integer signalStrength) {
        this.signalStrength = signalStrength;
    }

    public GeoCoordinates getGeoCoordinates() {
        return geoCoordinates;
    }

    public void setGeoCoordinates(GeoCoordinates geoCoordinates) {
        this.geoCoordinates = geoCoordinates;
    }
}
